<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.FloorMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.Floor">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="name" property="name" />
        <result column="building_id" property="buildingId" />
        <result column="floorpic" property="floorpic" />
        <result column="state" property="state" />
        <result column="install_type" property="installType" />
        <result column="man" property="man" />
        <result column="man_floorpic" property="manFloorpic" />
        <result column="woman" property="woman" />
        <result column="woman_floorpic" property="womanFloorpic" />
        <result column="airdetector_flag" property="airdetectorFlag" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="superior_name" property="superiorName" />
        <result column="grid_level" property="gridLevel" />
        <result column="orderby" property="orderby" />
        <result column="create_name" property="createName" />
        <result column="modify_name" property="modifyName" />
        <result column="note" property="note" />
        <result column="agent_name" property="agentName" />
        <result column="property_name" property="propertyName" />
        <result column="district_name" property="districtName" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, name, building_id, floorpic, state, install_type, man, man_floorpic, woman, woman_floorpic, airdetector_flag, agent_id, property_id, district_id, superior_name, grid_level, orderby, create_name, modify_name, note, agent_name, property_name, district_name
    </sql>

</mapper>
